Package com.logicaldoc.core.runtime

# Enum Class RunLevel

java.lang.Object
java.lang.Enum<RunLevel>
com.logicaldoc.core.runtime.RunLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<RunLevel>`, `Constable`

public enum RunLevel extends Enum<RunLevel>
Represents an operative status of the whole application. Different aspects are enabled depending on the current runlevel.

Since:
  7.6.4
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BULKLOAD`
`DEFAULT`
`DEMO`
`DEVEL`
`SLAVE`
`UPDATED`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`aspectEnabled(Aspect aspect)`
`boolean`
`aspectEnabled(String aspect)`
`void`
`checkAspect(Aspect aspect)`
`void`
`checkAspect(String aspect)`
`static RunLevel`
`current()`
`static RunLevel`
`fromString(String event)`
`static List<String>`
`getAspects()`
`boolean`
`isBulkload()`
`boolean`
`isDefault()`
`boolean`
`isDemo()`
`boolean`
`isDevel()`
`void`
`setAspect(String aspect, boolean enabled)`
`String`
`toString()`
`static RunLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RunLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final RunLevel DEFAULT

### BULKLOAD

public static final RunLevel BULKLOAD

### DEVEL

public static final RunLevel DEVEL

### DEMO

public static final RunLevel DEMO

### UPDATED

public static final RunLevel UPDATED

### SLAVE

public static final RunLevel SLAVE

## Method Details

### values

public static RunLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RunLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<RunLevel>`

### current

public static RunLevel current()

### fromString

public static RunLevel fromString(String event)

### aspectEnabled

public boolean aspectEnabled(Aspect aspect)

### aspectEnabled

public boolean aspectEnabled(String aspect)

### checkAspect

public void checkAspect(Aspect aspect) throws AspectDisabledException

Throws:
  `AspectDisabledException`

### checkAspect

public void checkAspect(String aspect) throws AspectDisabledException

Throws:
  `AspectDisabledException`

### setAspect

public void setAspect(String aspect, boolean enabled)

### isDefault

public boolean isDefault()

### isDemo

public boolean isDemo()

### isBulkload

public boolean isBulkload()

### isDevel

public boolean isDevel()

### getAspects

public static List<String> getAspects()